# -- coding: utf-8 --
from analyzer import Analyzer

class HpsysGPIOAnalyzer(Analyzer):
    def run(self):
        super().run()
        gpio = self.read_peripheral(self.periph_name)
        hpsys_rcc = self.read_peripheral("hpsys_rcc")
        hpsys_cfg = self.read_peripheral("hpsys_cfg")
        self.print_reg(gpio)


